package org.atmospheregames.network.heartbeat;

import org.atmospheregames.network.Network;

public class HeartbeatThread extends Thread {

    private final Network plugin;

    public HeartbeatThread(Network plugin) {
        this.plugin = plugin;
    }

    @Override
    public void run() {
        while(true) {
            plugin.sendServerUpdateMessage(true);
            try {
                sleep(5000);
            } catch (InterruptedException ignored) {}
        }
    }

}
